package com.zhyc.module.dairyProducts.service;

import java.util.List;
import com.zhyc.module.dairyProducts.domain.NpRawMilkInspe;

/**
 * 生乳检验记录Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface INpRawMilkInspeService 
{
    /**
     * 查询生乳检验记录
     * 
     * @param id 生乳检验记录主键
     * @return 生乳检验记录
     */
    public NpRawMilkInspe selectNpRawMilkInspeById(Long id);

    /**
     * 查询生乳检验记录列表
     * 
     * @param npRawMilkInspe 生乳检验记录
     * @return 生乳检验记录集合
     */
    public List<NpRawMilkInspe> selectNpRawMilkInspeList(NpRawMilkInspe npRawMilkInspe);

    /**
     * 新增生乳检验记录
     * 
     * @param npRawMilkInspe 生乳检验记录
     * @return 结果
     */
    public int insertNpRawMilkInspe(NpRawMilkInspe npRawMilkInspe);

    /**
     * 修改生乳检验记录
     * 
     * @param npRawMilkInspe 生乳检验记录
     * @return 结果
     */
    public int updateNpRawMilkInspe(NpRawMilkInspe npRawMilkInspe);

    /**
     * 批量删除生乳检验记录
     * 
     * @param ids 需要删除的生乳检验记录主键集合
     * @return 结果
     */
    public int deleteNpRawMilkInspeByIds(Long[] ids);

    /**
     * 删除生乳检验记录信息
     * 
     * @param id 生乳检验记录主键
     * @return 结果
     */
    public int deleteNpRawMilkInspeById(Long id);
}
